fireworkx(6)

NAME
fireworkx - pyrotechnics simulation eye-candy.

SYNOPSIS
fireworkx [-display host:display.screen] [-visual visual] [-window] [-root] [-verbose] [-noflash] [-noglow] [-shoot] [-delay number] [-maxlife number] [-fps]

DESCRIPTION
Simulates fireworks (pyrotechnics); explodes better on faster machines.

OPTIONS

-visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

-window
    Draw on a newly-created window. This is the default.

-root
    Draw on the root window.

-noflash
    Turn off light effect (runs faster)

-noglow
    Turn off self glow (dull blasts..!)

-shoot
    Shoot the shells.

-delay number
    Delay between frames. In microseconds. (Default: 1000)

-maxlife number
    Maximum decay period for an explosion. (Default: 2000)

-verbose
    for scientific purposes..!

-fps
    Display the current frame rate and CPU load.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

SEE ALSO
X(1), xscreensaver(1)

COPYRIGHT
Copyright © 1999-2005 by Rony B Chandran. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

AUTHOR

Written by Rony B Chandran <ronybc@asia.com>

Additional programming:
------------------------
Renuka S <renuka@local.net>
Jean-Pierre Demailly <Jean-Pierre.Demailly@ujf-grenoble.fr>
Nicholas Miell <nmiell@gmail.com>

URL
http://www.ronybc.8k.com